#cssbutton {
	display: block;
	width: 200px;
	height: 50px;
	background: url("cssbutton.gif") no-repeat 0 0;
	-webkit-box-shadow: 5px 5px 7px 3px #9C9B9B;
	box-shadow: 5px 5px 7px 3px #9C9B9B;
}

#cssbutton:hover {
	background-position: 0 -50px; /* This is half the size of your full image */
}

.big,.medium,.small{
display:block;

text-align:center;

font-family:'Oswald',sans-serif;

text-shadow:0 1px 0 rgba(109,5,5,0.8);

color:#ffffff;

border-radius:50px;

-webkit-border-radius:50px;
-moz-border-radius:50px;
box-shadow:0 1px 2px rgba(0,0,0,0.4),0 1px 0 rgba(255,255,255,0.4) inset;

-webkit-box-shadow:0 1px 2px rgba(0,0,0,0.4),0 1px 0 rgba(255,255,255,0.4) inset;

-moz-box-shadow:0 1px 2px rgba(0,0,0,0.4),0 1px 0 rgba(255,255,255,0.4) inset;

}
.big{
width:130px;

height:30px;

padding:17px 10px 10px 10px;

font-size:24px;

}
.medium{
width:80px;

height:25px;

padding:10px 10px 5px 10px;

font-size:16px;

}
.small{
width:60px;

height:20px;

padding:5px;

font-size:12px;
}
.big:active,.medium:active,.small:active{
box-shadow:0 2px 6px rgba(0,0,0,0.2) inset,0 1px 2px rgba(0,0,0,0.1);
outline:0 none;
}
.red{
text-decoration:none;
border:1px solid #622929;

background:#D55857;
background:-webkit-gradient(linear,left top,left bottom,from(#D55857),to(#BD4544));
background:-moz-linear-gradient(top,#D55857,#BD4544);
background:linear-gradient(#D55857,#BD4544);
}
.red:hover,.red:active{
text-decoration:none;
border-color:#af4949;
background:#ed7574;
background:-webkit-gradient(linear,left top,left bottom,from(#ed7574),to(#D55857));
background:-moz-linear-gradient(top,#ed7574,#D55857);
background:linear-gradient(#ed7574,#D55857);
}
.green{
text-decoration:none;
border:1px solid #4E612B;
background:#A3CF59;
background:-webkit-gradient(linear,left top,left bottom,from(#A3CF59),to(#93BC45));
background:-moz-linear-gradient(top,#A3CF59,#93BC45);
background:linear-gradient(#A3CF59,#93BC45);
}
.green:hover,.green:active{
text-decoration:none;
border-color:#8DAF4B;
background:#C3DC78;
background:-webkit-gradient(linear,left top,left bottom,from(#C3DC78),to(#A3CF59));
background:-moz-linear-gradient(top,#C3DC78,#A3CF59);
background:linear-gradient(#C3DC78,#A3CF59);
}
.blue{
text-decoration:none;
border:1px solid #2C5660;
background:#5CB6CE;
background:-webkit-gradient(linear,left top,left bottom,from(#5CB6CE),to(#45A4BA));
background:-moz-linear-gradient(top,#5CB6CE,#45A4BA);
background:linear-gradient(#5CB6CE,#45A4BA);
}
.blue:hover,.blue:active{
text-decoration:none;
border-color:#4D9BAD;
background:#79C9DA;
background:-webkit-gradient(linear,left top,left bottom,from(#79C9DA),to(#5CB6CE));
background:-moz-linear-gradient(top,#79C9DA,#5CB6CE);
background:linear-gradient(#79C9DA,#5CB6CE);
}
.purple{
text-decoration:none;
border:1px solid #60295B;
background:#B261A7;
background:-webkit-gradient(linear,left top,left bottom,from(#B261A7),to(#AF4E9D));
background:-moz-linear-gradient(top,#B261A7,#AF4E9D);
background:linear-gradient(#B261A7,#AF4E9D);
}
.purple:hover,.purple:active{
text-decoration:none;
border-color:#AD4D9D;
background:#CC7CB4;
background:-webkit-gradient(linear,left top,left bottom,from(#CC7CB4),to(#B261A7));
background:-moz-linear-gradient(top,#CC7CB4,#B261A7);
background:linear-gradient(#CC7CB4,#B261A7);
}
.mustard{
text-decoration:none;
border:1px solid #5E5528;
background:#ACA161;
background:-webkit-gradient(linear,left top,left bottom,from(#ACA161),to(#AD9D4D));
background:-moz-linear-gradient(top,#ACA161,#AD9D4D);
background:linear-gradient(#ACA161,#AD9D4D);
}
.mustard:hover,.mustard:active{
text-decoration:none;
border-color:#AA9A4C;
background:#CCBE7D;
background:-webkit-gradient(linear,left top,left bottom,from(#CCBE7D),to(#ACA161));
background:-moz-linear-gradient(top,#CCBE7D,#ACA161);
background:linear-gradient(#CCBE7D,#ACA161);
}